VirtualBox

Changeset 99514 in vbox for trunk/doc/manual


Ignore:
Timestamp:
Apr 22, 2023 1:59:25 AM (21 months ago)
Author:
vboxsync
Message:

manual: Added the changelog to the (DITA) manual. bugref:10302

Location:
trunk/doc/manual
Files:
3 added
3 edited
1 copied

Legend:

Unmodified
Added
Removed
  • trunk/doc/manual/Makefile.kmk

    r99500 r99514  
    731731 #
    732732
    733  ## Convert a single refentry file to dita.
    734733 # @param 1    Language
    735734 define def_vbox_generate_vboxmanage_overview
     
    759758
    760759 #
    761  # 3a. UserManual.pdf - Run dost.jar from DITA-OT to produce the PDF version.
     760 # 3. Convert the changelog from DocBook to a bunch of DITA topics and corresponding map.
     761 #
     762
     763 ##
     764 # @param 1    Language
     765 # @note  We don't really need to do this for each language, but whatever.
     766 # @note  Outputs a bunch of .dita files for each version too...
     767 define def_vbox_convert_changelog_to_dita
     768  VBOX_USER_MANUAL_DITA_STAGED_FILES_$1 += $$(VBOX_PATH_MANUAL_OUTBASE)/$(1)/dita/topics/changelog-versions.ditamap
     769  $$(VBOX_PATH_MANUAL_OUTBASE)/$(1)/dita/topics/changelog-versions.ditamap: \
     770                $$(VBOX_PATH_MANUAL_SRC)/docbook-changelog-to-manual-dita.sh \
     771                $$(VBOX_PATH_MANUAL_SRC)/docbook-changelog-to-manual-dita.xsl \
     772                $$(VBOX_XML_CATALOG) \
     773                $$(VBOX_XML_CATALOG_DOCBOOK) \
     774                $$(VBOX_XML_CATALOG_MANUAL) \
     775                | $$$$(dir $$$$@)
     776        $$(call MSG_TOOL,xsltproc docbook-changelog-to-manual-dita.xsl,,,$$@)
     777        $$(QUIET)$$(RM) -f -- "$$@" "[email protected]"
     778        $$(QUIET)$$(ASH) \
     779                $$(VBOX_PATH_MANUAL_SRC)/docbook-changelog-to-manual-dita.sh \
     780                $$(VBOX_PATH_MANUAL_SRC)/user_ChangeLogImpl.xml \
     781                $$(VBOX_PATH_MANUAL_SRC)/docbook-changelog-to-manual-dita.xsl \
     782                $$(VBOX_PATH_MANUAL_OUTBASE)/$(1)/dita/topics \
     783                -- \
     784                $$(call VBOX_XSLTPROC_WITH_CAT)
     785 endef # def_vbox_convert_changelog_to_dita
     786 $(foreach lang,$(VBOX_MANUAL_ALL_LANGUAGES),$(evalcall2 def_vbox_convert_changelog_to_dita,$(lang)))
     787
     788
     789 #
     790 # 4a. UserManual.pdf - Run dost.jar from DITA-OT to produce the PDF version.
    762791 #
    763792 # Note! The /tempdir is deleted, recreated, used and deleted again for each
     
    804833
    805834 #
    806  # 3b. UserManual.html - Run dost.jar from DITA-OT to produce the HTML versions.
     835 # 4b. UserManual.html - Run dost.jar from DITA-OT to produce the HTML versions.
    807836 #
    808837 # We produce both chunked and singled paged HTML versions of the en_US manual
     
    912941 if defined(VBOX_WITH_DOCS_QHELP) && !defined(VBOX_ONLY_SDK)
    913942  #
    914   # 3c. VirtualBox.qch + VirtualBox.qhc - Qt compressed help and collection file.
     943  # 4c. VirtualBox.qch + VirtualBox.qhc - Qt compressed help and collection file.
    915944  #
    916945  # See usermanual.pdf under DITA-OT-xxxxx/doc folder for details.
     
    941970                $(VBOX_USER_MANUAL_DITA_STAGED_FILES_$(1)) \
    942971                $(VBOX_USER_MANUAL_CONVERTED_REFENTRY_DITA_FILES_$(1))
     972        $$(call MSG_L1,dita-ot-qhelp, => $$@)
    943973        $$(QUIET)$$(RM) -Rf -- "$$(@D)" "$$(VBOX_PATH_MANUAL_OUTBASE)/$(1)/dita-ot-qhelp/"
    944974        $$(QUIET)$$(MKDIR) -- "$$(@D)"
     
    9801010                | $$$$(dir $$$$@)
    9811011        $$(call MSG_L1,$$(notdir $$(VBOX_QHELPGENERATOR)) $$<,=> $$@)
    982         $$(QUIET)$$(RM) -f $$@
     1012        $$(QUIET)$$(RM) -f -- "$$@"
    9831013   ifdef VBOX_WITH_QT6
    9841014        $$(QUIET)$$(REDIRECT) -- $$(VBOX_QHELPGENERATOR) $$<
  • trunk/doc/manual/dita-refentry-flat-to-single-topic.sh

    r99497 r99514  
    4747MY_OUTPUT_DIR="$4"
    4848if test "$5" != "--"; then
    49     echo "syntax error: Expected '--' as the 3rd parameter, got: $3" 1>&2;
     49    echo "syntax error: Expected '--' as the 5th parameter, got: $5" 1>&2;
    5050    exit 2;
    5151fi
  • trunk/doc/manual/docbook-changelog-to-manual-dita.sh

    r99512 r99514  
    22# $Id$
    33## @file
    4 # Helper Script for splitting up a convert manpage into separate topic
    5 # files (named by @id).
     4# Helper script for converting the changelog into a ditamap and a topic
     5# file per version.
    66#
    77
     
    2828#
    2929
     30#
     31# Globals.
     32#
     33MY_SED=kmk_sed
    3034
    3135#
    3236# This script is very internal, so we got the following fixed position parameters:
    33 #   1: The input DITA file (output from docbook-refentry-to-manual-dita.xsl).
    34 #   2: dita-refentry-flat-topic-ids.xsl
    35 #   3: dita-refentry-flat-to-single-topic.xsl
    36 #   4: The out directory.
    37 #   5: '--'
    38 #   6+: xsltproc invocation (sans output, input and xslt file).
     37#   1: user_ChangeLogImpl.xml to use as input.
     38#   2: docbook-changelog-to-manual-dita.xsl
     39#   3: The out directory.
     40#   4: '--'
     41#   5+: xsltproc invocation (sans output, input and xslt file).
    3942#
    4043if test $# -lt 6; then
     
    4346fi
    4447MY_INPUT_FILE="$1"
    45 MY_XSLT_TOPIC_IDS="$2"
    46 MY_XSLT_TO_SINGLE_TOPIC="$3"
    47 MY_OUTPUT_DIR="$4"
    48 if test "$5" != "--"; then
    49     echo "syntax error: Expected '--' as the 3rd parameter, got: $3" 1>&2;
     48MY_XSLT="$2"
     49MY_OUTPUT_DIR="$3"
     50if test "$4" != "--"; then
     51    echo "syntax error: Expected '--' as the 4th parameter, got: $4" 1>&2;
    5052    exit 2;
    5153fi
    52 shift 5
     54shift 4
    5355
    5456if ! test -f "${MY_INPUT_FILE}"; then
     
    5658    exit 1;
    5759fi
    58 if ! test -f "${MY_XSLT_TOPIC_IDS}"; then
     60if ! test -f "${MY_XSLT}"; then
    5961    echo "error: The given dita-refentry-flat-topic-ids.xsl file does not exists or is not a regular file: ${MY_XSLT_TOPIC_IDS}" 1>&2;
    60     exit 1;
    61 fi
    62 if ! test -f "${MY_XSLT_TO_SINGLE_TOPIC}"; then
    63     echo "error: The given dita-refentry-flat-to-single-topic.xsl file does not exists or is not a regular file: ${MY_XSLT_TO_SINGLE_TOPIC}" 1>&2;
    6462    exit 1;
    6563fi
     
    7472#
    7573# First get the ID list from it.
     74# We drop the first line with the <?xml ... ?> stuff.
    7675#
    77 MY_TOPIC_IDS=$($* "${MY_XSLT_TOPIC_IDS}" "${MY_INPUT_FILE}")
     76MY_TOPIC_IDS=$($* --stringparam g_sMode ids "${MY_XSLT}" "${MY_INPUT_FILE}" | ${MY_SED} -e 1d)
    7877
    7978#
     
    8584        --stringparam g_sMode topic \
    8685        --stringparam g_idTopic "${MY_ID}" \
    87         --output "${MY_OUTPUT_DIR}/${MY_ID}.dita" "${MY_XSLT_TO_SINGLE_TOPIC}" "${MY_INPUT_FILE}"
     86        --output "${MY_OUTPUT_DIR}/${MY_ID}.dita" "${MY_XSLT}" "${MY_INPUT_FILE}"
    8887done
     88
     89#
     90# Now for the ditamap file.
     91#
     92$* --stringparam g_sMode map --output "${MY_OUTPUT_DIR}/changelog-versions.ditamap" "${MY_XSLT}" "${MY_INPUT_FILE}"
    8993exit 0
  • trunk/doc/manual/en_US/dita/UserManual.ditamap

    r99500 r99514  
    677677   </chapter>
    678678
    679    <!-- Change Log-->
     679   <!-- Change Log -->
     680   <chapter href="topics/ChangeLog.dita">
     681      <!-- This map file and all the topics it is referencing is generated from user_ChangeLogImpl.xml. -->
     682      <topicref format="ditamap" href="topics/changelog-versions.ditamap"/>
     683      <topicref href="topics/changelog-older.dita"/>
     684   </chapter>
    680685
    681686   <!-- Third Party Licenses-->
Note: See TracChangeset for help on using the changeset viewer.

© 2024 Oracle Support Privacy / Do Not Sell My Info Terms of Use Trademark Policy Automated Access Etiquette